// LICENSE : MIT
"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _objectAssign = require("object-assign");

var _objectAssign2 = _interopRequireDefault(_objectAssign);

var defaultOptions = { max: 300 };

exports["default"] = function (context) {
    var options = arguments.length <= 1 || arguments[1] === undefined ? defaultOptions : arguments[1];

    options = (0, _objectAssign2["default"])({}, defaultOptions, options);
    var max = options.max;
    var Syntax = context.Syntax;
    var RuleError = context.RuleError;
    var report = context.report;
    var getSource = context.getSource;

    return _defineProperty({}, Syntax.Document, function (node) {
        var text = getSource(node);
        var len = text.split("\n").length;
        if (len > max) {
            report(node, new RuleError("Document is too long(number of lines: " + len + ")."));
        }
    });
};

module.exports = exports["default"];
//# sourceMappingURL=max-number-of-lines.js.map